### Class

# Phosh DockedManager

#### Description [src]

    final class Phosh.DockedManager : GObject.Object
    {
      /* No available fields */
    }

Handles ‘docking” the phone to additional hardware

`PhoshDockedManager` allows to dock the phone to additional hardware and performs the necessary configuration changes (disable OSK, don’t maximize windows by default, …).

#### Ancestors

- GObject

#### Constructors

###### phosh_docked_manager_new

No description available.

#### Instance methods

###### phosh_docked_manager_get_can_dock

No description available.

###### phosh_docked_manager_get_enabled

No description available.

###### phosh_docked_manager_get_icon_name

No description available.

###### phosh_docked_manager_set_enabled

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.DockedManager:can-dock

No description available.

###### Phosh.DockedManager:enabled

No description available.

###### Phosh.DockedManager:icon-name

No description available.

###### Phosh.DockedManager:mode-manager

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshDockedManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.